org.gjt.sp.jedit.msg

## Class EditorExitRequested

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.EditorExitRequested

-     public class EditorExitRequested
      extends EBMessage

  Message sent when jEdit starts the exit process. It is send before the settings are saved and the buffers are closed. Listeners of this message should be aware that jEdit might not exit truely, maybe because of errors, or the user cancelled the "Save unsaved changed" dialog, or jEdit is in background mode.
  Since:
    jEdit 3.1pre4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorExitRequested(View view)` Creates a new editor exiting started message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelExit()` Cancels the exit process.
    `View` | `getView()` Returns the view involved.
    `boolean` | `hasBeenExitCancelled()` Check if the exit process has been cancelled.

    - ### Methods inherited from class org.gjt.sp.jedit.EBMessage

      `getSource, paramString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditorExitRequested

          public EditorExitRequested(View view)

      Creates a new editor exiting started message.
      Parameters:
        `view` - The view from which this exit was called

  - ### Method Detail

    - #### getView

          public View getView()

      Returns the view involved.

    - #### cancelExit

          public void cancelExit()

      Cancels the exit process. If a plugin calls this method, jEdit will not exit anymore

    - #### hasBeenExitCancelled

          public boolean hasBeenExitCancelled()

      Check if the exit process has been cancelled.